Subject: Re: bug#78903: [PATCH] ISO C99 does not support _Noreturn

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jun 2025 10:51:39 +0300

> From: Helmut Eller <[email-masked]>
> Date: Thu, 26 Jun 2025 09:20:51 +0200
> 
> When I use gcc 14 with -std=gnu99 -Wpedantic I get lots of warnings of
> the form
> 
>  warning: ISO C99 does not support ‘_Noreturn’ [-Wpedantic].

Why did you use -Wpedantic?  The Emacs build doesn't use that, and for
a good reason.

> To avoid those warnings, I propose to use __attribute__ ((__noreturn__))
> instead.

We have already a portable solution for _Noreturn, see src/config.in.
We could modify it if needed, but I'm not sure we should try straying
too far from what we have (which works), definitely not for the
benefit of "-Wpedantic".

Paul, WDYT?